### Signal

# Gtk Notebook::switch-page

since: 4.0

#### Declaration

    void
    switch_page (
      GtkNotebook* self,
      GtkWidget* page,
      guint page_num,
      gpointer user_data
    )

#### Description [src]

Emitted when the user or a function changes the current page.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`page`

  Type: `GtkWidget`

  The new current page.

  The data is owned by the caller of the function.

`page_num`

  Type: `guint`

  The index of the page.